import socket
import json

data = {
    'fruits' : ['Alma', 'Korte', 'Szilva'],
    'list_length' : 3
}


with socket.socket(socket.AF_INET, socket.SOCK_STREAM) as srv:
    srv.bind(('0.0.0.0', 55555))
    srv.listen()
    cli, cli_address = srv.accept()

    data_str = json.dumps(data)
    cli.send(data_str.encode('utf-8'))
    reply = cli.recv(2000)
    new_data = json.loads(reply.decode('utf-8'))
    print(new_data)
    cli.close()
