import socket
import struct

with socket.socket(socket.AF_INET, socket.SOCK_STREAM) as sock:
    sock.connect(("127.0.0.1", 5555))

    msg = (2022, b"HELLO", 0.74)
    msg_packed = struct.Struct("I 5s f").pack(*msg)

    sock.sendall(msg_packed)

