import socket
import struct

with socket.socket(socket.AF_INET, socket.SOCK_STREAM) as srv:
    srv.bind(("0.0.0.0", 5555))
    srv.listen()
    client, client_address = srv.accept()

    msg_packed = client.recv(1024)
    msg = struct.Struct("I 5s f").unpack(msg_packed)
    print(msg)

    client.close()

